<?xml version="1.0" encoding="UTF-8"?><schema xmlns="http://www.w3.org/2001/XMLSchema" xmlns:FWEB="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWEBuilding/v2.1/XSD" xmlns:bldg="http://www.opengis.net/citygml/building/2.0" xmlns:gml="http://www.opengis.net/gml" xmlns:sc="http://www.interactive-instruments.de/ShapeChange/AppInfo" elementFormDefault="qualified" targetNamespace="http://transfer.hft-stuttgart.de/pages/fwe-ade/FWEBuilding/v2.1/XSD" version="2.1">
  <annotation>
    <documentation>This is the FWE ADE for CityGML building datasets developed in the IN-SOURCE project.</documentation>
  </annotation>
  <import namespace="http://www.interactive-instruments.de/ShapeChange/AppInfo" schemaLocation="http://shapechange.net/resources/schema/ShapeChangeAppinfo.xsd"/>
  <import namespace="http://www.opengis.net/citygml/building/2.0" schemaLocation="http://schemas.opengis.net/citygml/building/2.0/building.xsd"/>
  <import namespace="http://www.opengis.net/gml" schemaLocation="http://schemas.opengis.net/gml/3.1.1/base/gml.xsd"/>
  <!--XML Schema document created by ShapeChange - http://shapechange.net/-->
  <element name="BuildingSurvey" substitutionGroup="gml:_Feature" type="FWEB:BuildingSurveyType"/>
  <complexType name="BuildingSurveyType">
    <complexContent>
      <extension base="gml:AbstractFeatureType">
        <sequence>
          <element minOccurs="0" name="surveyYear" type="integer"/>
          <element maxOccurs="unbounded" minOccurs="0" name="surveyYearVersion" type="double"/>
          <element maxOccurs="unbounded" minOccurs="0" name="surveyDescription" type="string"/>
          <element minOccurs="0" name="population" type="positiveInteger"/>
          <element minOccurs="0" name="buildingFootprintArea" type="gml:AreaType"/>
          <element minOccurs="0" name="totalFloorArea" type="gml:AreaType"/>
          <element maxOccurs="unbounded" minOccurs="0" name="foodSurvey" type="FWEB:FoodSurveyPropertyType">
            <annotation>
              <appinfo>
                <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="relationType">composition</taggedValue>
              </appinfo>
            </annotation>
          </element>
          <element maxOccurs="unbounded" minOccurs="0" name="waterSurvey" type="FWEB:WaterSurveyPropertyType">
            <annotation>
              <appinfo>
                <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="relationType">composition</taggedValue>
              </appinfo>
            </annotation>
          </element>
          <element maxOccurs="unbounded" minOccurs="0" name="energySurvey" type="FWEB:EnergySurveyPropertyType">
            <annotation>
              <appinfo>
                <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="relationType">composition</taggedValue>
              </appinfo>
            </annotation>
          </element>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="BuildingSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEB:BuildingSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="EnergySurvey" substitutionGroup="FWEB:BuildingSurvey" type="FWEB:EnergySurveyType"/>
  <complexType name="EnergySurveyType">
    <complexContent>
      <extension base="FWEB:BuildingSurveyType">
        <sequence>
          <element minOccurs="0" name="spaceHeatingDemand" type="double"/>
          <element minOccurs="0" name="spaceHeatingDemandUnit" type="string"/>
          <element minOccurs="0" name="spaceCoolingDemand" type="double"/>
          <element minOccurs="0" name="spaceCoolingDemandUnit" type="string"/>
          <element minOccurs="0" name="residentialElectricityDemand" type="double"/>
          <element minOccurs="0" name="residentialElectricityDemandUnit" type="string"/>
          <element minOccurs="0" name="electricityPotentialFromPV" type="double"/>
          <element minOccurs="0" name="electricityPotentialfromPVUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="EnergySurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEB:EnergySurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="FoodSurvey" substitutionGroup="FWEB:BuildingSurvey" type="FWEB:FoodSurveyType"/>
  <complexType name="FoodSurveyType">
    <complexContent>
      <extension base="FWEB:BuildingSurveyType">
        <sequence>
          <element maxOccurs="unbounded" minOccurs="0" name="foodCategory" type="gml:CodeType"/>
          <element minOccurs="0" name="foodDemand" type="double"/>
          <element minOccurs="0" name="foodDemandUnit" type="string"/>
          <element minOccurs="0" name="foodProduction" type="double"/>
          <element minOccurs="0" name="foodProductionUnit" type="string"/>
          <element minOccurs="0" name="foodProductionWaterDemand" type="double"/>
          <element minOccurs="0" name="foodProductionWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="foodProductionEnergyDemand" type="double"/>
          <element minOccurs="0" name="foodProductionEnergyDemandUnit" type="string"/>
          <element minOccurs="0" name="foodConsumption" type="double"/>
          <element minOccurs="0" name="foodConsumptionUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="FoodSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEB:FoodSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="WaterSurvey" substitutionGroup="FWEB:BuildingSurvey" type="FWEB:WaterSurveyType"/>
  <complexType name="WaterSurveyType">
    <complexContent>
      <extension base="FWEB:BuildingSurveyType">
        <sequence>
          <element minOccurs="0" name="domesticWaterDemand" type="double"/>
          <element minOccurs="0" name="domesticWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="domesticHotWaterDemand" type="double"/>
          <element minOccurs="0" name="domesticHotWaterDemandUnit" type="string"/>
          <element minOccurs="0" name="domesticHotWaterEnergyDemand" type="double"/>
          <element minOccurs="0" name="domesticHotWaterEnergyDemandUnit" type="string"/>
          <element minOccurs="0" name="domesticWaterWaste" type="double"/>
          <element minOccurs="0" name="domesticWaterWasteUnit" type="string"/>
          <element minOccurs="0" name="domesticSolidWaste" type="double"/>
          <element minOccurs="0" name="domesticSolidWasteUnit" type="string"/>
          <element minOccurs="0" name="totalDomesticWaste" type="double"/>
          <element minOccurs="0" name="totalDomesticWasteUnit" type="string"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>
  <complexType name="WaterSurveyPropertyType">
    <sequence minOccurs="0">
      <element ref="FWEB:WaterSurvey"/>
    </sequence>
    <attributeGroup ref="gml:AssociationAttributeGroup"/>
  </complexType>
  <element name="fweAreaName" substitutionGroup="bldg:_GenericApplicationPropertyOfAbstractBuilding" type="string">
    <annotation>
      <appinfo>
        <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="maxOccurs">1</taggedValue>
      </appinfo>
    </annotation>
  </element>
  <element name="fweSystemName" substitutionGroup="bldg:_GenericApplicationPropertyOfAbstractBuilding" type="string">
    <annotation>
      <appinfo>
        <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="maxOccurs">1</taggedValue>
      </appinfo>
    </annotation>
  </element>
  <element name="consistsOfBuildingSurveyTypes" substitutionGroup="bldg:_GenericApplicationPropertyOfAbstractBuilding" type="FWEB:BuildingSurveyPropertyType">
    <annotation>
      <appinfo>
        <taggedValue xmlns="http://www.interactive-instruments.de/ShapeChange/AppInfo" tag="relationType">composition</taggedValue>
      </appinfo>
    </annotation>
  </element>
</schema>
